#pragma once

#include "simple_indicator.hh"

namespace AI {

class SMA : public SimpleIndicator
{
public:
    SMA(int period);
    SMA(const SMA&) = default;
    SMA& operator=(const SMA&) = default;
    void operator()(double value) override;
    double operator()() const override;
    void clear() override;

private:
    double sum_;
};

}
